Pacman

Welcome to the Pacman bug tracker. Please search the current bugs and feature requests before filing a new one! Use advanced search and select "Search in Comments".

* Please select the correct category and version.
* Write a descriptive summary, background info, and provide a reproducible test case whenever possible.
Tasklist

FS#32764 - indirectly dependency resolution problem when upgrade

Attached to Project: Pacman
Opened by Weng Xuetian (csslayer) - Monday, 19 November 2012, 13:27 GMT
Last edited by Allan McRae (Allan) - Thursday, 31 October 2013, 10:57 GMT
Task Type Bug Report
Category General
Status Closed
Assigned To No-one
Architecture All
Severity Low
Priority Normal
Reported Version 4.0.3
Due in Version 4.2.0
Due Date Undecided
Percent Complete 100%
Votes 2
Private No

Details

Summary and Info:
Some indirect dependency seems not take into account during updates.

Steps to Reproduce:
package:
fcitx-gtk2, harfbuzz, icu need upgrade due to icu so name change. (fcitx-gtk2 itself doesn't depends on icu directly but it comes from a split package which depends on icu, so it also need upgrade).

There is a dependency path like this: fcitx-gtk2 -> gtk2 -> pango -> harfbuzz -> icu, and fcitx-gtk2's post install script need a gtk tool to update a file.

but the update sequence is icu, fcitx-gtk2, harfbuzz, which leads to post install script not working, but from the depenedency resolution, it should not result in such sequence of updates. fcitx-gtk2 indirectly depends on harfbuzz, thus it should be update after harfbuzz.
This task depends upon

Closed by  Allan McRae (Allan)
Thursday, 31 October 2013, 10:57 GMT
Reason for closing:  Fixed
Additional comments about closing:  git commit ec831e05
Comment by Allan McRae (Allan) - Monday, 19 November 2012, 23:46 GMT
Can you post your pacman log of this update.
Comment by Weng Xuetian (csslayer) - Tuesday, 20 November 2012, 02:27 GMT

Related log:
[2012-11-17 10:58] upgraded icu (49.1.2-2 -> 50.1-2)
[2012-11-17 10:58] upgraded fcitx (4.2.6.1-1 -> 4.2.6.1-2)
[2012-11-17 10:58] usr/bin/gtk-query-immodules-2.0: error while loading shared libraries: libicule.so.49: cannot open shared object file: No such file or directory
[2012-11-17 10:58] upgraded fcitx-gtk2 (4.2.6.1-1 -> 4.2.6.1-2)
[2012-11-17 10:58] usr/bin/gtk-query-immodules-3.0: error while loading shared libraries: libicule.so.49: cannot open shared object file: No such file or directory
[2012-11-17 10:58] upgraded fcitx-gtk3 (4.2.6.1-1 -> 4.2.6.1-2)
[2012-11-17 10:58] upgraded qt (4.8.3-5 -> 4.8.3-6)
[2012-11-17 10:58] upgraded fcitx-qt (4.2.6.1-1 -> 4.2.6.1-2)
[2012-11-17 10:58] upgraded harfbuzz (0.9.5-1 -> 0.9.5-2)
Comment by Allan McRae (Allan) - Tuesday, 20 November 2012, 11:26 GMT
Please give the log for the entire update, including the line that gives the command you used.
Comment by Felix Yan (felixonmars) - Tuesday, 20 November 2012, 15:04 GMT Comment by Allan McRae (Allan) - Tuesday, 20 November 2012, 15:37 GMT
Thanks - I can replicate the issue.
Comment by Andrew Gregory (andrewgregory) - Saturday, 18 May 2013, 20:07 GMT

Loading...